goBrush 3.7.2-20

Easy way to terraform using heightmaps

  1. Arcaniax
    Native Minecraft Version:
    1.15
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    • 1.18
    Contributors:
    Empire92
    [​IMG]

    Requires Fast Async Worldedit !!!
    Use /wea to bypass regions

    [​IMG]


    [​IMG]

    goBrush is a plugin that's designed to streamline and simplify your mountain building experience.
    Using heightmaps you can quickly and easily create stunning mountain ranges in minutes using
    the premade designs or become more advanced and create your own custom heightmaps to make the experience even more unique.


    [​IMG]

    - Left click with a flint to open the GUI, right click to place the heightmap
    - Easy way to terraform using heightmaps
    - Configurable settings inside of the config
    - GUI that allows you to change all the settings
    - Different Modes allow you to change the way it interacts
    - It pulls up and pushes down any block type from the ground
    - Support for PlotSquared
    - 3D mode for directional shaping
    - 18 free heightmap brushes to use
    - create your own brushes
    - gmask support to choose which blocks to pull
    - Worldedit integration for //undo and //redo

    [​IMG]
    toggle between pushing and pulling, also works in 3D and has different effects when flat is enabled
    puts the maximum height at the block you click and brings
    everything around it up to that height.
    pulls and pushes from the direction you are facing
    will rotate the brush based on your cardinal rotation:
    North, East, South and West. If disabled it will always be facing North.


    [​IMG]

    gobrush.use
    /gb info
    /gb toggle
    /gb undo [number] -> //undo
    /gb size [number]
    /gb intensity [number]
    /gb brush [FileName]

    gobrush.export
    /gb export [FileName] - creates a new brush based on your worledit selection

    gobrush.admin
    /gb reload

    gobrush.world.bypass
    allows you to use it in disabled worlds

    gobrush.bypass.maxsize
    allows you to go larger than the max size

    gobrush.bypass.maxintensity
    allows you to go larger than the max intensity

    [​IMG]
    defaults:
    size: 15
    intensity: 4
    imgloresize: 20
    # true = up, false = down
    directionMode: true
    3dmode: false
    flatmode: false
    autorotation: true
    brushenabled: false
    brushname: 'hills.png'
    maximums:
    size: 205
    intensity: 6
    disabledworlds:
    - "add disabled worlds here"

    [​IMG]

    Top donator:
    @BuildersRefuge - mc.buildersrefuge.com
    301

    Donations above $5:
    @CubeCraftGames - play.cubecraft.net
    300
    @Necrosys_Buildz 50
    @NergalBlackSun 40
    @Epicube_Fr - play.epicube.fr
    30
    @SolariMC - dawn.solariMC.com 25
    @dennisbuilds 20
    @TheBluehush4 20

    @EverbloomEN 15
    @moustafabanana 10
    @rhonosbt 10
    @AskineMC 5

    [​IMG]


    [​IMG]

    [​IMG]
    [​IMG]
    [​IMG]


    [​IMG]

Recent Updates

  1. Update 3.7.2-20
  2. 3.7.0 Update
  3. fixed upload

Recent Reviews

  1. JoDriver
    JoDriver
    1/5,
    Version: 3.7.2-20
    No funciona, he puesto varias versiones y no estan funcionando, y tira un monton de errores.
  2. kenddrix
    kenddrix
    5/5,
    Version: 3.7.2-20
    jusque ici aucun problème lors de l'utilisation de GoBrush. Très bon plugin vivement la version pour la 1.17 pour que je puisse faire de jolie montagne avant l'heure ! ^^
  3. daadssf121
    daadssf121
    1/5,
    Version: 3.7.2-20
    Its not working

    Error occurred while enabling goBrush v3.8.0-32 (Is it up to date?)
    java.lang.NoClassDefFoundError: com/sk89q/worldedit/world/block/BlockStateHolder
    at com.arcaniax.gobrush.GoBrushPlugin.registerListeners(GoBrushPlugin.java:96) ~[?:?]
    at com.arcaniax.gobrush.GoBrushPlugin.onEnable(GoBrushPlugin.java:69) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[server.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [server.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [server.jar:git-Spigot-db6de12-18fbb24]
    at com.rylinaux.plugman.util.PluginUtil.load(PluginUtil.java:366) [PlugMan.jar:?]
    at com.rylinaux.plugman.util.PluginUtil.load(PluginUtil.java:318) [PlugMan.jar:?]
    at com.rylinaux.plugman.util.PluginUtil.reload(PluginUtil.java:380) [PlugMan.jar:?]
    at com.rylinaux.plugman.command.ReloadCommand.execute(ReloadCommand.java:122) [PlugMan.jar:?]
    at com.rylinaux.plugman.PlugManCommandHandler.onCommand(PlugManCommandHandler.java:95) [PlugMan.jar:?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) [server.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [server.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641) [server.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchServerCommand(CraftServer.java:627) [server.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.DedicatedServer.aO(DedicatedServer.java:412) [server.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:375) [server.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [server.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [server.jar:git-Spigot-db6de12-18fbb24]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_292]
    Caused by: java.lang.ClassNotFoundException: com.sk89q.worldedit.world.block.BlockStateHolder
    at java.net.URLClassLoader.findClass(URLClassLoader.java:382) ~[?:1.8.0_292]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[server.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[server.jar:git-Spigot-db6de12-18fbb24]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:418) ~[?:1.8.0_292]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:351) ~[?:1.8.0_292]
  4. Shabarashi
    Shabarashi
    4/5,
    Version: 3.7.0
    It is a really nice plugin but when I install this plugin in the aternos, it does not appear in the commands on the server or flint does not work.
  5. FillNati
    FillNati
    4/5,
    Version: 3.7.0
    and dont work 3D mode, open inventory with brushes

    [15:37:27 ERROR]: Could not pass event InventoryClickEvent to goBrush v3.6.0
    [15:37:27 ERROR]: Suspected Plugins:
    [15:37:27 ERROR]: goBrush{enabled,ver=3.6.0,path=plugins\goBrush 1.14+.jar}
    [15:37:27 ERROR]: Exception details below:
    java.lang.NullPointerException: null
    at com.arcaniax.gobrush.listener.InventoryClickListener.mainMenuClickEvent(InventoryClickListener.java:118) ~[?:?]
    at com.destroystokyo.paper.event.executor.asm.generated.GeneratedEventExecutor565.execute(Unknown Source) ~[?:?]
    at org.bukkit.plugin.EventExecutor.lambda$create$1(EventExecutor.java:69) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at org.bukkit.plugin.EventExecutor$$Lambda$4840/315983890.execute(Unknown Source) ~[?:?]
    at co.aikar.timings.TimedEventExecutor.execute(TimedEventExecutor.java:76) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:70) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:611) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.PlayerConnection.a(PlayerConnection.java:2663) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.PacketPlayInWindowClick.a(SourceFile:32) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.PacketPlayInWindowClick.a(SourceFile:10) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.PlayerConnectionUtils.lambda$ensureMainThread$1(PlayerConnectionUtils.java:43) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.PlayerConnectionUtils$$Lambda$7626/981380512.run(Unknown Source) ~[?:?]
    at net.minecraft.server.v1_16_R3.TickTask.run(SourceFile:18) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.IAsyncTaskHandler.executeTask(IAsyncTaskHandler.java:136) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.IAsyncTaskHandlerReentrant.executeTask(SourceFile:23) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.IAsyncTaskHandler.executeNext(IAsyncTaskHandler.java:109) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.MinecraftServer.bb(MinecraftServer.java:1225) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.MinecraftServer.executeNext(MinecraftServer.java:1218) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.IAsyncTaskHandler.awaitTasks(IAsyncTaskHandler.java:119) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.MinecraftServer.sleepForTick(MinecraftServer.java:1194) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.MinecraftServer.w(MinecraftServer.java:1034) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.MinecraftServer.lambda$a$0(MinecraftServer.java:179) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-42]
    at net.minecraft.server.v1_16_R3.MinecraftServer$$Lambda$3058/970750990.run(Unknown Source) ~[?:?]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_51]
  6. PABVLOASD
    PABVLOASD
    3/5,
    Version: 3.7.0
  7. Bullobily
    Bullobily
    5/5,
    Version: 3.6.1
    Excellent plugin. Works perfectly with FAWE.

    The only problem is that the brush store (in /gb info) is down. Where can I get new brush templates? For free or paid, I mean, your work deserves retribution!
  8. Roland04
    Roland04
    4/5,
    Version: 3.6.1
    It is a really great Plugin, but it says it will be good in 1.16.x but it is not working on my server, goes red when I list my plugins, and ofc it does not work. I don't know what is the problem, I've downloaded FAWE... So maybe it needs an update?
  9. DnNKERiKILLZ
    DnNKERiKILLZ
    5/5,
    Version: 3.6.1
    Excellent! need some optimizations tho else than that its Great. Easy to use and setup!
  10. PlaceblockHD
    PlaceblockHD
    4/5,
    Version: 3.6.1
    Please add 1.8 Support! Its the best plugin i have ever seen but cant use it beacause its not supporting 1.8 :-(